Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.util
Class SourceSnippetBuilder

    java.lang.Object
      com.google.gwt.inject.rebind.util.SourceSnippetBuilder

    public class SourceSnippetBuilder

extends java.lang.Object

Builder that composes source snippets from other source snippets.

Constructor Summary
`SourceSnippetBuilder()`

Method Summary
`SourceSnippetBuilder` | `append(SourceSnippet snippet)`
`SourceSnippetBuilder` | `append(java.lang.String snippet)` Convenience routine to append a constant string to this snippet.
`SourceSnippet` | `build()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceSnippetBuilder

    public SourceSnippetBuilder()

Method Detail

### append

    public SourceSnippetBuilder append(java.lang.String snippet)

  Convenience routine to append a constant string to this snippet.

### append

    public SourceSnippetBuilder append(SourceSnippet snippet)

### build

    public SourceSnippet build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD